use cgmath::{Deg, Point2};

use crate::{physics::Pfloat, render::Sprite, render::SpriteTexture, render::Spriteable};

pub struct Doodad {
	pub sprite: SpriteTexture,
	pub pos: Point2<Pfloat>,
	pub parallax: Pfloat,
	pub size: Pfloat,
	pub angle: Deg<Pfloat>,
}

impl Spriteable for Doodad {
	fn get_sprite(&self) -> Sprite {
		return Sprite {
			texture: self.sprite.clone(),
			scale: 1.0,
			pos: self.pos,
			angle: self.angle,
			size: self.size,
			parallax: self.parallax,
		};
	}
}
